LibreOffice: DocumentDialogLibraryContainer Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
DocumentDialogLibraryContainer Service Reference

defines a container of dialog libraries, which is to be made persistent in a sub storage of a document storage. More...

`import"DocumentDialogLibraryContainer.idl";`

Inheritance diagram for DocumentDialogLibraryContainer:

## Public Member Functions
| create ([in] ::com::sun::star::document::XStorageBasedDocument Document) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates an instance of the `DocumentDialogLibraryContainer`, belonging to a document More...
| createWithURL ([in] string URL)
Public Member Functions inherited from XStorageBasedLibraryContainer
void | storeLibrariesToStorage ([in] ::com::sun::star::embed::XStorage RootStorage) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| stores the libraries to a storage other than the current container storage More...
Public Member Functions inherited from XPersistentLibraryContainer
void | storeLibraries () raises ( ::com::sun::star::lang::WrappedTargetException )
| stores the libraries to the current location. More...
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XLibraryContainer2
boolean | isLibraryLink ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library item is a link, e.g., created by createLibraryLink, otherwise false. More...
string | getLibraryLinkURL ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| returns the location of the library link target. More...
boolean | isLibraryReadOnly ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library item (library or library link) is read only. More...
void | setLibraryReadOnly ([in] string Name, [in] boolean bReadOnly) raises ( com::sun::star::container::NoSuchElementException )
| Sets the accessed library item (library or library link) to read only according to the flag bReadOnly (true means read only) More...
void | renameLibrary ([in] string Name, [in] string NewName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::container::ElementExistException )
| renames the library item with the specified name. More...
Public Member Functions inherited from XLibraryContainer
com::sun::star::container::XNameContainer | createLibrary ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a new library. More...
com::sun::star::container::XNameAccess | createLibraryLink ([in] string Name, [in] string StorageURL, [in] boolean ReadOnly) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a link to an "external" library that then can be accessed using this library manager. More...
void | removeLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the library item with the specified name. More...
boolean | isLibraryLoaded ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library is already loaded from the storage, otherwise false. More...
void | loadLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| Causes the accessed library to be loaded from its storage if it hasn't already been loaded. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Additional Inherited Members
Exported Interfaces inherited from XStorageBasedLibraryContainer
interface | XPersistentLibraryContainer
Exported Interfaces inherited from XPersistentLibraryContainer
interface | ::com::sun::star::util::XModifiable
interface | XLibraryContainer2
Public Attributes inherited from XStorageBasedLibraryContainer
::com::sun::star::embed::XStorage | RootStorage { set raises(::com::sun::star::lang::IllegalArgumentException); }
| denotes the root storage associated with the container. More...
Public Attributes inherited from XPersistentLibraryContainer
any | RootLocation
| denotes the root location associated with the container. More...
string | ContainerLocationName
| denotes the name of the sub location where the container elements are actually stored. More...

## Detailed Description

defines a container of dialog libraries, which is to be made persistent in a sub storage of a document storage.

Since
  OOo 2.3

## Member Function Documentation

## ◆ create()

create | ( | [in] ::com::sun::star::document::XStorageBasedDocument | Document | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an instance of the `DocumentDialogLibraryContainer`, belonging to a document

The current storage of the document will be set as initial root storage (see XPersistentLibraryContainer::RootStorage) of the container.

Usually, you will only create a `DocumentDialogLibraryContainer` within the implementation of the document to which the container should belong.

Parameters

  Document | The document to which the container should belong to. Must not be `NULL`.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if `Document` does not denote a valid com::sun::star::document::OfficeDocument.

## ◆ createWithURL()

createWithURL | ( | [in] string | URL | ) |

The documentation for this service was generated from the following file:

- com/sun/star/script/DocumentDialogLibraryContainer.idl